WOL(1)

NAME
wol - Wake On LAN client

SYNOPSIS
wol [OPTION] ... MAC-ADDRESS ...

DESCRIPTION
This manual gives you an introduction into "wol", the Wake On LAN client. It remotely turns on computers that supports Magic Packet technology (also known as Wake On LAN).

Some workstations support SecureON password feature. These machines only wake up if you provide the correct password. "wol" also provides this feature.

OPTIONS

--help
    Print a summary of the command line options.

-V
--version
    Print the version number of "wol".

-h HOST
--host=HOST
-i HOST
--ipaddr=HOST
    Broadcast packet to this IP address or hostname. This is important if your wol client is a multihomed host and you want to send only to one subnet (default IP address is 255.255.255.255).

-p NUM
--port=NUM
    Send packet with this destination port NUM. This option is important if your packet filter would block the default destination port 40000.

-f FILE
--file=FILE
    Read hardware addresses, IP addresses/hostnames, optional ports and SecureON password from file FILE. If FILE is - "wol" reads from stdin.

-   Read hardware addresses, IP addresses, optional ports and optional SecureON password from stdin. So you can extract MAC-ADDRESSES from any source and pipe the data into "wol" so.

-v
--verbose
    Turns on verbose output.

-w NUM
--wait=NUM
    Waits NUM milliseconds between Magic Packets. Also known as fuse health pack.

--passwd[=PASS]
    Send a magic packet with SecureON password feature. PASS is written as x-x-x-x-x-x, where x is a hexadecimal number between 0 and ff which represents one byte of the password.

    If you don't provide PASS "wol" prompts you for a password.

    To set the password of your SecureON capable NIC, you can use "ethtool" (<http://www.sourceforge.net/projects/gkernel/>).

BUGS
Please report bugs to <krennwallner@aon.at>. Feel free to send bug reports, translations, improvement suggestions and patches to this email address.

SEE ALSO
GNU info entry for wol.

AUTHOR
Written by Thomas Krennwallner <krennwallner@aon.at>.

COPYRIGHT
Copyright (C) 2001,2002,2003,2004 Thomas Krennwallner <krennwallner@aon.at>

This document may be distributed and modified under the terms of the GNU General Public License.

This manual is free software; you may redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This manual is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose. See the GNU General Public License for more details.

A copy of the GNU General Public License is available on the World Wide Web at the GNU website. You can also obtain it by writing to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.